{% extends 'base.html' %}

{% block content %}
<div>
    <h1>My Tasks</h1>
    <table>
        {% if task_list|length == 0 %}
        <p>You have no tasks</p>
        {% else %}
        <thead>
            <th>Name</th>
            <th>Start date</th>
            <th>End date</th>
            <th>Is completed</th>
        </thead>
        <tbody>
            {% for task in task_list %}
            <tr>
                <td>{{ task.name }}</td>
                <td>{{ task.start_date|date:"m-d-Y" }}</td>
                <td>{{ task.due_date|date:"m-d-Y" }}</td>
                <td>
                    {% if task.is_completed == False %}
                    <form method="post" action="{% url 'complete_task' task.id %}">
                        {% csrf_token %}
                        <input type="hidden" name="is_completed" value="True">
                        <button>Complete</button>
                    </form>
                    {% else %}
                    Done
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
        {% endif %}
    </table>
</div>
{% endblock content %}